
# BEGIN ip330.cmd ------------------------------------------------------------

# Null asyn port for simulation of IP330
drvAsynIPPortConfigure("Ip330Sweep2","127.0.0.1:50005",0,1,0)
asynSetTraceMask("Ip330Sweep2",0,0x0)
asynSetTraceIOMask("Ip330Sweep2",0,0x0)

# ai records using asynInt32Average device support
dbLoadTemplate("ip330Scan.substitutions")

# Load MCA records on the first 4 input channels
dbLoadRecords("$(MCA)/mcaApp/Db/mca.db", "P=x7idb:,M=mip330_1,DTYP=asynMCA,NCHAN=2048,INP=@asyn(Ip330Sweep2 0)")
dbLoadRecords("$(MCA)/mcaApp/Db/mca.db", "P=x7idb:,M=mip330_2,DTYP=asynMCA,NCHAN=2048,INP=@asyn(Ip330Sweep2 1)")
dbLoadRecords("$(MCA)/mcaApp/Db/mca.db", "P=x7idb:,M=mip330_3,DTYP=asynMCA,NCHAN=2048,INP=@asyn(Ip330Sweep2 2)")
dbLoadRecords("$(MCA)/mcaApp/Db/mca.db", "P=x7idb:,M=mip330_4,DTYP=asynMCA,NCHAN=2048,INP=@asyn(Ip330Sweep2 3)")

# END ip330.cmd --------------------------------------------------------------
