
# BEGIN vme.cmd --------------------------------------------------------------

# OMS VME58 controllers simulation

# Create low-level simulated motors
# motorSimCreate(int card, int axis, int lowLimit, int hiLimit, int home,
#   int nCards, int nAxes, int startPosn)
motorSimCreate(0,  0, -10000000, 10000000, 0, 1, 8, 0)
motorSimCreate(1,  0, -10000000, 10000000, 0, 3, 4, 0)

# Create simulated asyn motors
# drvAsynMotorConfigure(const char *portName, const char *driverName,
#   int card, int num_axes)
# portName   = asyn port name
# driverName = name of low-level driver
# card       = card to use
# num_axes   = number of axes on card
drvAsynMotorConfigure("motorSim1", "motorSim", 0, 8)
drvAsynMotorConfigure("motorSim2", "motorSim", 1, 4)
drvAsynMotorConfigure("motorSim3", "motorSim", 2, 4)
drvAsynMotorConfigure("motorSim4", "motorSim", 3, 4)

# SIS 3820 multichannel scaler

< SIS3820.cmd

# Joerger VSC8/16

dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/scaler16.db","P=x7idb:,S=scaler2,OUT=#C0 S0 @,DTYP=Joerger VSC8/16,FREQ=10000000")

# END vme.cmd ----------------------------------------------------------------
