#!/bin/sh

appName='sim17id'

if [ "X$1" = 'X-h' -o "X$1" = 'X--help' ]; then
  echo 'Usage: control.sh'
  echo 'Example: control.sh'
  exit 0
fi

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../${appName}App/op/adl"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME/../${appName}App/op/adl\"." 1>&2
  exit 1
fi

exec medm -x "${appName}.adl"
