# BEGIN pmac.cmd -------------------------------------------------------------

### Tpmac support

dbLoadRecords("$(TOP)/sim17idApp/Db/tpmac-support.db","P=x7ia:,PL=x7ida:")

### PMAC Databases

dbLoadTemplate("pmac/dbLoad/pmac.Ascii")
dbLoadTemplate("pmac/dbLoad/pmac.acc11e")

### Motor Databases

dbLoadTemplate("pmac/dbLoad/mtr.mtrdat")
dbLoadTemplate("pmac/dbLoad/mtr.Ascii")
dbLoadTemplate("pmac/dbLoad/mtr.RqsTwkMem")
dbLoadTemplate("pmac/dbLoad/mtr.LimTransfer")

### Coordinate System Databases

dbLoadTemplate("pmac/dbLoad/pcs.bkgfix1pcs")
dbLoadTemplate("pmac/dbLoad/pcs.CtlPnlPcs")
dbLoadTemplate("pmac/dbLoad/pcs.AsciiPcs")

### Assembly Databases

# Common assembly
dbLoadTemplate("pmac/dbLoad/assy.AssyGeneric")
dbLoadTemplate("pmac/dbLoad/assy.MotionPrg")
dbLoadTemplate("pmac/dbLoad/assy.RamMap")
dbLoadTemplate("pmac/dbLoad/assy.Load")

# MONO Databases [mo] (MO:En:)
# Huber-type SLIT Databases [hs] (WS:Av:, WS:Ah:)
# X positioners Databases [x] (MO:Tn1:)
# XY positioners Databases [xy] (MO:Tn2:)

dbLoadTemplate("pmac/dbLoad/mo.Assy")
dbLoadTemplate("pmac/dbLoad/hs.Assy")
dbLoadTemplate("pmac/dbLoad/x.Assy")
dbLoadTemplate("pmac/dbLoad/xy.Assy")

### Special Databases

# Assembly and motor move simulation
dbLoadTemplate("pmac/dbLoad/assy.AssyMove")
dbLoadTemplate("pmac/dbLoad/mtr.MtrMove")

# APS undulator energy to tpmac drive adapter
dbLoadTemplate("pmac/dbLoad/drv.apsUndEnergy")

# END pmac.cmd ---------------------------------------------------------------
