# Industry Pack support
< industryPack.cmd

# serial support
< serial.cmd

# VME devices
< vme.cmd

# Load PMAC databases
< pmac.cmd

# User programming

dbLoadRecords("$(CALC)/calcApp/Db/userCalcs10.db","P=x7ida:")
dbLoadRecords("$(CALC)/calcApp/Db/userCalcOuts10.db","P=x7ida:")
dbLoadRecords("$(CALC)/calcApp/Db/userStringCalcs10.db","P=x7ida:")
dbLoadRecords("$(CALC)/calcApp/Db/userArrayCalcs10.db","P=x7ida:,N=8000")
dbLoadRecords("$(CALC)/calcApp/Db/userTransforms10.db","P=x7ida:")
# Extra userCalcs
dbLoadRecords("$(CALC)/calcApp/Db/userAve10.db","P=x7ida:")
dbLoadRecords("$(STD)/stdApp/Db/userStringSeqs10.db","P=x7ida:")
# Array test
dbLoadRecords("$(CALC)/calcApp/Db/arrayTest.db", "P=x7ida:,N=8000")
# Timer
dbLoadRecords("$(STD)/stdApp/Db/timer.db","P=x7ida:,N=1")

# Scan software

# Crate-resident scan.  This executes 1D, 2D, 3D, and 4D scans, and caches 1D
# data, but it doesn't store anything to disk.  (See 'saveData' below for
# that.)
dbLoadTemplate("standardScans.substitutions")
dbLoadRecords("$(SSCAN)/sscanApp/Db/saveData.db","P=x7ida:")

# Scan support
dbLoadRecords("$(TOP)/sim17idApp/Db/scan-all-support.db","P=x7ida:")
dbLoadTemplate("scan-scan-support.substitutions")
dbLoadTemplate("scan-calc-support.substitutions")
dbLoadRecords("$(TOP)/sim17idApp/Db/scan-timer-support.db","P=x7ida:,N=2")
dbLoadRecords("$(TOP)/sim17idApp/Db/scan-region-support.db","P=x7ida:")
dbLoadRecords("$(STD)/stdApp/Db/timer.db","P=x7ida:,N=2")
dbLoadRecords("$(REGSCANPOSGEN)/regScanPosGenApp/Db/regScanPosGen.db","P=x7ida:")

# Miscellaneous PV's, such as burtResult
dbLoadRecords("$(STD)/stdApp/Db/misc.db","P=x7ida:")

# General
dbLoadRecords("$(TOP)/sim17idApp/Db/17ida.db","P=x7ida:,PS=x7ia:")

# Energy moving
dbLoadRecords("$(TOP)/sim17idApp/Db/energy-moving.db","P=x7ida:,EIP=x7ia:MO:En:InPos")
