# BEGIN pmac.cmd -------------------------------------------------------------

### Tpmac support

dbLoadRecords("$(TOP)/sim17idApp/Db/tpmac-support.db","P=x7ib:,PL=x7idb:")

### PMAC Databases

dbLoadTemplate("pmac/dbLoad/pmac.Ascii")
dbLoadTemplate("pmac/dbLoad/pmac.acc11e")

### Motor Databases

dbLoadTemplate("pmac/dbLoad/mtr.mtrdat")
dbLoadTemplate("pmac/dbLoad/mtr.Ascii")
dbLoadTemplate("pmac/dbLoad/mtr.RqsTwkMem")
dbLoadTemplate("pmac/dbLoad/mtr.LimTransfer")

### Coordinate System Databases

dbLoadTemplate("pmac/dbLoad/pcs.bkgfix1pcs")
dbLoadTemplate("pmac/dbLoad/pcs.CtlPnlPcs")
dbLoadTemplate("pmac/dbLoad/pcs.AsciiPcs")

### Assembly Databases

# Common assembly
dbLoadTemplate("pmac/dbLoad/assy.AssyGeneric")
dbLoadTemplate("pmac/dbLoad/assy.MotionPrg")
dbLoadTemplate("pmac/dbLoad/assy.RamMap")
dbLoadTemplate("pmac/dbLoad/assy.Load")

# DETECTOR SUPPORT Databases [ccdSt] (DS:Dt:)
# MIRROR Databases [mi] (KB:Vy:, KB:Hy:, KB:Hx:)
# Piggyback SLIT Databases [cs] (MS:Av:, MS:Ah:)
# TABLE Databases [tb] (AT:V:)
# X positioners Databases [x] (KB:Vx:, DS:Lp:)
# XY positioners Databases [xy] (AT:H:)

dbLoadTemplate("pmac/dbLoad/ccdSt.Assy")
dbLoadTemplate("pmac/dbLoad/mi.Assy")
dbLoadTemplate("pmac/dbLoad/cs.Assy")
dbLoadTemplate("pmac/dbLoad/tb.Assy")
dbLoadTemplate("pmac/dbLoad/x.Assy")
dbLoadTemplate("pmac/dbLoad/xy.Assy")

### Special Databases

# Assembly and motor move simulation
dbLoadTemplate("pmac/dbLoad/assy.AssyMove")
dbLoadTemplate("pmac/dbLoad/mtr.MtrMove")

# END pmac.cmd ---------------------------------------------------------------
