# SIS 3820
seq(&SIS38XX_SNL,"P=$(SIS3820_PREFIX_2),R=$(SIS3820_RNAME_2),NUM_SIGNALS=$(SIS3820_MAX_SIGNALS_2),FIELD=READ")

# Support for generating "region" scan table positions
seq(&regScanPosGen,"P=x7idb:")

# ImcaXiaPfcu4 sequencer
seq(&imcaXiaPfcu4x2,"P=x7idb:,D=FltrRak1,EM=x7ida:EnergyMoving")

### Start the saveData task.
saveData_Init("saveData_17idb.req", "P=x7idb:")

# Tpmac assemblies
< setUpAssemblies.cmd

# Minibeam
< mb-defaults.cmd

# Intensities
< setUpIntensities.cmd

# Scans
< setUpScans.cmd
