# Industry Pack support
< industryPack.cmd

# serial support
< serial.cmd

# Ethernet devices
< ethernet.cmd

# VME devices
< vme.cmd

# Load PMAC databases
< pmac.cmd

# APS remote shutter control
< remote_shutter.cmd

# Motor record motors
dbLoadTemplate("motor.substitutions")
dbLoadRecords("$(MOTOR)/db/motorUtil.db", "P=x7idb:")

# User programming

dbLoadRecords("$(CALC)/calcApp/Db/userCalcs10.db","P=x7idb:")
dbLoadRecords("$(CALC)/calcApp/Db/userCalcOuts10.db","P=x7idb:")
dbLoadRecords("$(CALC)/calcApp/Db/userStringCalcs10.db","P=x7idb:")
dbLoadRecords("$(CALC)/calcApp/Db/userArrayCalcs10.db","P=x7idb:,N=8000")
dbLoadRecords("$(CALC)/calcApp/Db/userTransforms10.db","P=x7idb:")
# Extra userCalcs
dbLoadRecords("$(CALC)/calcApp/Db/userAve10.db","P=x7idb:")
dbLoadRecords("$(STD)/stdApp/Db/userStringSeqs10.db","P=x7idb:")
# Array test
dbLoadRecords("$(CALC)/calcApp/Db/arrayTest.db", "P=x7idb:,N=8000")
# Timer
dbLoadRecords("$(STD)/stdApp/Db/timer.db","P=x7idb:,N=1")

# Scan software

# Crate-resident scan.  This executes 1D, 2D, 3D, and 4D scans, and caches 1D
# data, but it doesn't store anything to disk.  (See 'saveData' below for
# that.)
dbLoadTemplate("standardScans.substitutions")
dbLoadRecords("$(SSCAN)/sscanApp/Db/saveData.db","P=x7idb:")

# Scan support
dbLoadRecords("$(TOP)/sim17idApp/Db/scan-all-support.db","P=x7idb:")
dbLoadTemplate("scan-scan-support.substitutions")
dbLoadTemplate("scan-calc-support.substitutions")
dbLoadRecords("$(TOP)/sim17idApp/Db/scan-timer-support.db","P=x7idb:,N=2")
dbLoadRecords("$(TOP)/sim17idApp/Db/scan-region-support.db","P=x7idb:")
dbLoadRecords("$(STD)/stdApp/Db/timer.db","P=x7idb:,N=2")
dbLoadRecords("$(REGSCANPOSGEN)/regScanPosGenApp/Db/regScanPosGen.db","P=x7idb:")
dbLoadRecords("$(TOP)/sim17idApp/Db/fluorescence-scan-support.db","P=x7idb:,ES=x7idb:Exphi:Shutter,FAS=x7idb:xflash1:Start.PROC,IAS=x7idb:Bpm3:AcqCtrl.VAL,I=x7idb:Bpm3:AcqNrmCurrSum,ISF=1")

# Miscellaneous PV's, such as burtResult
dbLoadRecords("$(STD)/stdApp/Db/misc.db","P=x7idb:")

# Bimorph mirrors control PVs
dbLoadTemplate("bimorph.substitutions")

# Beam position adjuster
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/bpa.db","P=x7idb:,A=Bpa3,BPM=x7idb:Bpm3")

# Auto beam positioner
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/autobp.db","AA=x7idb:AbpAll,A02=x7idb:Abp2,A04=x7ida:Abp1")

# Minibeam
dbLoadTemplate("mb.substitutions")

# Exphi
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/exphi.db","P=x7idb:,E=Exphi")

# Imcais
dbLoadRecords("$(TOP)/sim17idApp/Db/simulation/imcais.db","P=x7idb:,I=Is")

# General
dbLoadRecords("$(TOP)/sim17idApp/Db/17idb.db","P=x7idb:,BL=x7ID")
