#!/bin/sh

APP_NAME=sim17id

THIS_SCRIPT_HOME=`dirname "$0"`
cd "$THIS_SCRIPT_HOME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME\"." 1>&2
  exit 1
fi
THIS_SCRIPT_HOME=`pwd`
if [ $? -ne 0 ]; then
  echo 'Failed to get current working directory.' 1>&2
  exit 1
fi

cd "../iocBoot/ioc$APP_NAME"
if [ $? -ne 0 ]; then
  echo "Failed to cd to \"$THIS_SCRIPT_HOME/../iocBoot/ioc$APP_NAME\"." 1>&2
  exit 1
fi

exec "../../bin/$EPICS_HOST_ARCH/$APP_NAME" st.cmd
